public class Arrayanalyse {
  
  public static void analyseMehrDimensional(){
    Interaktionsbrett io = new Interaktionsbrett();
    int[][] arr = {{1, 2, 3} 
                  ,{4, 5, 6}};
    //Arrayanalyse.visualisiere(arr, io);  
    arr[1][0] = 42;
    //Arrayanalyse.visualisiere(arr, io);  
    int[][] arr2 = {{1,2,3,4}
                   ,{1,2}
                   ,{}
                   ,{42,43,44,45,46,47}};
    Arrayanalyse.visualisiere(arr2, io);  
  }
  
  public static void visualisiere(int[][] arr, Interaktionsbrett io){
    int x = 5;
    int y = 5;
    for(int[] a:arr) {
      x = 5;
      for(int aa: a) {
        io.neuerText(x + 4, y + 18, aa+"");
        io.neuesRechteck(x, y, 20, 20);
        x = x + 25;
      }
      y = y + 25;
    }
    
  }
  
  public static void analyse(){
    EinUndAusgabe io = new EinUndAusgabe();
    int[] arr1;
    int[] arr2 = {1,2,3,4,5,1,2}; // bei Initialisierung
    io.ausgeben("arr2: " + arr2 + "\n"); 
    Arrayanalyse.arrayAusgeben(arr2, io);
    arr1 = arr2;
    arr2[0] = 42;
    //arr2 = {5,6,7};
    Arrayanalyse.arrayAusgeben2(arr1, io);
    Arrayanalyse.arrayAusgeben2(new int[]{1,2,3}, io);
    arr2[7] = 41;
  }
  
  public static void arrayAusgeben(int[] arr, EinUndAusgabe io){
    for (int i = 0; i < arr.length; i++){
      io.ausgeben(arr[i] + " ");
    }
    io.ausgeben("\n");
  }
  
    public static void arrayAusgeben2(int[] arr, EinUndAusgabe io){
    for (int lauf: arr){
      io.ausgeben(lauf + " ");
    }
    io.ausgeben("\n");
  }
}
